Bug 165275 - Invalid architecture OS combination when attempting to register up2date
Invalid architecture OS combination when attempting to register up2date
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-06 09:29 EDT by Ward Ponn
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:22:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ward Ponn 2005-08-06 09:29:16 EDT
Description of problem: When attempting to register a new system installation
against an already-existing rhn account using up2date --register, an invalid
architecture os combination message is given.

System Sucessfully registers with rhn and is added to "My Systems" under rhn
with demo entitlement, but no base channel is subscribed to. Additionally, the
kernel version for the system is listed as "unknown".  A base channel can not be
selected manually when attempting to modify the system on rhn interface.

All updates have been retrieved and applied with yum update after initial
install and nightly updates seem to be occuring with yum nightly update option.

Version-Release number of selected component (if applicable): 4.4.23-4


How reproducible: every time up2date --register is run


Steps to Reproduce:
1. Login to rhn
2. Delete existing system
3. run up2date --register
4. Provide valid (existing) rhn ID and password
5. Click Next
6. Select I don't have a subscription number
7. Click Forward
8. Observe error message
  
Actual results:  

Invalid Architecture and OS release combination (4, i686-redhat-linux).
Your system has been registered, but will not receive updates 
because it is not subscribed to a channel. If you have not yet
activated your product for service, please visit our website at:
  
     http://www.redhat.com/now

...to activate your product.

System is registered with RHN, but no channel subscription is enabeled (see
description details above)

Expected results:

System added, registered and Base channel for correct architecture is subscribed to

Additional info: Dell Optiplex GX110

Hardware info being sent with registration:
Red Hat Linux Version: 4      CPU Model: Pentium III (Coppermine)
Hostname: stinkypits          CPU Speed: 531 MHz
IP Address: XXX.XXX.XXX.XXX   Memory: 375 megabytes

uname -a = Linux stinkypits 2.6.12-1.1398_FC4 #1 Fri Jul 15 00:52:32 EDT 2005
i686 i686 i386 GNU/Linux
Comment 1 John Thacker 2006-10-29 15:22:16 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 2 John Thacker 2006-11-05 11:22:36 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.